org.jboss.jca.as.converters.wls.metadata.v13

## Class WeblogicConnector13Impl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.WeblogicConnectorAbstractImpl
  - - org.jboss.jca.as.converters.wls.metadata.v13.WeblogicConnector13Impl

- All Implemented Interfaces:
    java.io.Serializable, WeblogicConnector13, WeblogicConnector, WlsMetadata

      public class WeblogicConnector13Impl
      extends WeblogicConnectorAbstractImpl
      implements WeblogicConnector13

  A WeblogicConnector v1.3.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.v13.WeblogicConnector13

      `WeblogicConnector13.Attribute, WeblogicConnector13.Tag`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.as.converters.wls.metadata.WeblogicConnectorAbstractImpl

      `aos, jndiName, nativeLibdir, ora, props, ras`

    - ### Fields inherited from interface org.jboss.jca.as.converters.wls.api.metadata.v13.WeblogicConnector13

      `XML_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeblogicConnector13Impl(java.lang.String nativeLibdir, java.lang.String jndiName, ResourceAdapterSecurity ras, ConfigProperties props, AdminObjects aos, OutboundResourceAdapter ora)` constructor

  - ### Method Summary

    - ### Methods inherited from class org.jboss.jca.as.converters.wls.metadata.WeblogicConnectorAbstractImpl

      `getAdminObjects, getConnectorWorkManager, getJndiName, getNativeLibdir, getOutboundResourceAdapter, getProperties, getSecurity, getWorkManager, isEnableAccessOutsideApp, isEnableGlobalAccessToClasses`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.as.converters.wls.api.metadata.WeblogicConnector

      `getAdminObjects, getConnectorWorkManager, getJndiName, getNativeLibdir, getOutboundResourceAdapter, getProperties, getSecurity, getWorkManager, isEnableAccessOutsideApp, isEnableGlobalAccessToClasses`

- - ### Constructor Detail

    - #### WeblogicConnector13Impl

          public WeblogicConnector13Impl(java.lang.String nativeLibdir,
                                         java.lang.String jndiName,
                                         ResourceAdapterSecurity ras,
                                         ConfigProperties props,
                                         AdminObjects aos,
                                         OutboundResourceAdapter ora)

      constructor
      Parameters:
        `nativeLibdir` - nativeLibdir
        `jndiName` - jndiName
        `ras` - ResourceAdapterSecurity
        `props` - ConfigProperties
        `aos` - AdminObjects
        `ora` - OutboundResourceAdapter

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)